<template lang="pug">
.col.x-sidebar.flex-shrink-1(v-show='!hidden'
                                   :class="{ 'position-absolute': absolute }")
  .bg-dark.position-fixed.d-flex.flex-column(:class="{ shadow: !this.hidden }")
    slot
</template>

<script>
export { default } from './BaseSideBar.vue.js';
</script>
<style lang="scss">
.x-sidebar {
  max-width: 300px!important;
  z-index: 1031;
  // padding-top: 55px!important; /* Needs to match NavBar size */

  > div {
    height: 100%;
    max-width: 300px !important;
  }

  .shadow {
    box-shadow: 1.5rem 0rem .5rem -1rem rgba(0, 0, 0, 0.175) !important
  }
}
</style>
